org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_STANDARDLISTITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_STANDARDLISTITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_STANDARDLISTITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_STANDARDLISTITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_STANDARDLISTITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_STANDARDLISTITEMNode` | `bindActiveicon(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindAdapttitlesize(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindCounter(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindDescription(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindIcondensityaware(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindIconinset(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindInfo(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindInfostate(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindListitemtype(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindSelected(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `bindUnread(IDynamicContentBindingObject value)`
    `UI5M_STANDARDLISTITEMNode` | `setActionListener(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setActiveicon(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setAdapttitlesize(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setComment(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setCounter(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setDescription(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setIcon(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setIcondensityaware(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setIconinset(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setId(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setInfo(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setInfostate(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setListitemtype(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setReference(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setRendered(boolean value)`
    `UI5M_STANDARDLISTITEMNode` | `setRendered(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setSelected(boolean value)`
    `UI5M_STANDARDLISTITEMNode` | `setSelected(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setStyleseq(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setStylevariant(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setTitle(java.lang.String value)`
    `UI5M_STANDARDLISTITEMNode` | `setUnread(boolean value)`
    `UI5M_STANDARDLISTITEMNode` | `setUnread(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_STANDARDLISTITEMNode

          public UI5M_STANDARDLISTITEMNode()

  - ### Method Detail

    - #### setId

          public UI5M_STANDARDLISTITEMNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_STANDARDLISTITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_STANDARDLISTITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setActiveicon

          public UI5M_STANDARDLISTITEMNode setActiveicon(java.lang.String value)

    - #### bindActiveicon

          public UI5M_STANDARDLISTITEMNode bindActiveicon(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public UI5M_STANDARDLISTITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_STANDARDLISTITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAdapttitlesize

          public UI5M_STANDARDLISTITEMNode setAdapttitlesize(java.lang.String value)

    - #### bindAdapttitlesize

          public UI5M_STANDARDLISTITEMNode bindAdapttitlesize(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_STANDARDLISTITEMNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_STANDARDLISTITEMNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_STANDARDLISTITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_STANDARDLISTITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_STANDARDLISTITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCounter

          public UI5M_STANDARDLISTITEMNode setCounter(java.lang.String value)

    - #### bindCounter

          public UI5M_STANDARDLISTITEMNode bindCounter(IDynamicContentBindingObject value)

    - #### setDescription

          public UI5M_STANDARDLISTITEMNode setDescription(java.lang.String value)

    - #### bindDescription

          public UI5M_STANDARDLISTITEMNode bindDescription(IDynamicContentBindingObject value)

    - #### setIcon

          public UI5M_STANDARDLISTITEMNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_STANDARDLISTITEMNode bindIcon(IDynamicContentBindingObject value)

    - #### setIcondensityaware

          public UI5M_STANDARDLISTITEMNode setIcondensityaware(java.lang.String value)

    - #### bindIcondensityaware

          public UI5M_STANDARDLISTITEMNode bindIcondensityaware(IDynamicContentBindingObject value)

    - #### setIconinset

          public UI5M_STANDARDLISTITEMNode setIconinset(java.lang.String value)

    - #### bindIconinset

          public UI5M_STANDARDLISTITEMNode bindIconinset(IDynamicContentBindingObject value)

    - #### setInfo

          public UI5M_STANDARDLISTITEMNode setInfo(java.lang.String value)

    - #### bindInfo

          public UI5M_STANDARDLISTITEMNode bindInfo(IDynamicContentBindingObject value)

    - #### setInfostate

          public UI5M_STANDARDLISTITEMNode setInfostate(java.lang.String value)

    - #### bindInfostate

          public UI5M_STANDARDLISTITEMNode bindInfostate(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_STANDARDLISTITEMNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_STANDARDLISTITEMNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setListitemtype

          public UI5M_STANDARDLISTITEMNode setListitemtype(java.lang.String value)

    - #### bindListitemtype

          public UI5M_STANDARDLISTITEMNode bindListitemtype(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_STANDARDLISTITEMNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_STANDARDLISTITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_STANDARDLISTITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_STANDARDLISTITEMNode setRendered(boolean value)

    - #### setSelected

          public UI5M_STANDARDLISTITEMNode setSelected(java.lang.String value)

    - #### bindSelected

          public UI5M_STANDARDLISTITEMNode bindSelected(IDynamicContentBindingObject value)

    - #### setSelected

          public UI5M_STANDARDLISTITEMNode setSelected(boolean value)

    - #### setStyleseq

          public UI5M_STANDARDLISTITEMNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_STANDARDLISTITEMNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_STANDARDLISTITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_STANDARDLISTITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5M_STANDARDLISTITEMNode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5M_STANDARDLISTITEMNode bindTitle(IDynamicContentBindingObject value)

    - #### setUnread

          public UI5M_STANDARDLISTITEMNode setUnread(java.lang.String value)

    - #### bindUnread

          public UI5M_STANDARDLISTITEMNode bindUnread(IDynamicContentBindingObject value)

    - #### setUnread

          public UI5M_STANDARDLISTITEMNode setUnread(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.